WinNT.MEMORY_BASIC_INFORMATION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: MEMORY_BASIC_INFORMATION

Package com.sun.jna.platform.win32

# Class WinNT.MEMORY_BASIC_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.MEMORY_BASIC_INFORMATION

Enclosing interface:
  WinNT

@FieldOrder({"baseAddress","allocationBase","allocationProtect","regionSize","state","protect","type"}) public static class WinNT.MEMORY_BASIC_INFORMATION extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Pointer`
  `allocationBase`
  A pointer to the base address of a range of pages allocated by the VirtualAlloc function.
  `WinDef.DWORD`
  `allocationProtect`
  The memory protection option when the region was initially allocated.
  `Pointer`
  `baseAddress`
  A pointer to the base address of the region of pages.
  `WinDef.DWORD`
  `protect`
  The access protection of the pages in the region.
  `BaseTSD.SIZE_T`
  `regionSize`
  The size of the region beginning at the base address in which all pages have identical attributes, in bytes.
  `WinDef.DWORD`
  `state`
  The state of the pages in the region.
  `WinDef.DWORD`
  `type`
  The type of pages in the region.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MEMORY_BASIC_INFORMATION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### baseAddress

    public Pointer baseAddress
    A pointer to the base address of the region of pages.

  - ### allocationBase

    public Pointer allocationBase
    A pointer to the base address of a range of pages allocated by the VirtualAlloc function. The page pointed to by the BaseAddress member is contained within this allocation range.

  - ### allocationProtect

    public WinDef.DWORD allocationProtect
    The memory protection option when the region was initially allocated. This member can be one of the memory protection constants or 0 if the caller does not have access.

  - ### regionSize

    public BaseTSD.SIZE_T regionSize
    The size of the region beginning at the base address in which all pages have identical attributes, in bytes.

  - ### state

    public WinDef.DWORD state
    The state of the pages in the region. This member can be one of the following values: MEM_COMMIT, MEM_FREE, MEM_RESERVE.

  - ### protect

    public WinDef.DWORD protect
    The access protection of the pages in the region. This member is one of the values listed for the AllocationProtect member.

  - ### type

    public WinDef.DWORD type
    The type of pages in the region. The following types are defined: MEM_IMAGE MEM_MAPPED MEM_PRIVATE

- ## Constructor Details

  - ### MEMORY_BASIC_INFORMATION

    public MEMORY_BASIC_INFORMATION()